# keyframeset.cpp File Reference

Template File. More...

`#include "keyframeset.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/valuenode_animated.h>`
`#include "activepointsetsmart.h"`
`#include "waypointsetsmart.h"`
`#include <synfigapp/general.h>`

## Defines

#define | old_2_new(x) (((x)-old_begin)/(old_end-old_begin)*(new_end-new_begin)+new_begin)

## Functions

| ACTION_INIT (Action::KeyframeSet)
| ACTION_SET_NAME (Action::KeyframeSet,"KeyframeSet")
| ACTION_SET_LOCAL_NAME (Action::KeyframeSet, N_("Set Keyframe"))
| ACTION_SET_TASK (Action::KeyframeSet,"set")
| ACTION_SET_CATEGORY (Action::KeyframeSet, Action::CATEGORY_KEYFRAME|Action::CATEGORY_HIDDEN)
| ACTION_SET_PRIORITY (Action::KeyframeSet, 0)
| ACTION_SET_VERSION (Action::KeyframeSet,"0.0")
| ACTION_SET_CVS_ID (Action::KeyframeSet,"$Id$")

## Detailed Description

Template File.

$Id$

## Define Documentation

#define old_2_new | ( | x |  | ) | (((x)-old_begin)/(old_end-old_begin)*(new_end-new_begin)+new_begin)

## Function Documentation

ACTION_INIT | ( | Action::KeyframeSet |  | ) |

ACTION_SET_NAME | ( | Action::KeyframeSet | ,
|  | "KeyframeSet" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::KeyframeSet | ,
|  | N_("Set Keyframe") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::KeyframeSet | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::KeyframeSet | ,
|  | Action::CATEGORY_KEYFRAME|Action::CATEGORY_HIDDEN |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::KeyframeSet | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::KeyframeSet | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::KeyframeSet | ,
|  | "$Id$" |  |
| ) |  |  |